% Example1_1.m
% This program solves the problem posed in Example 1.1. 
% It calculates the friction factor from the Colebrook equation 
% using the Successive Substitution, the Linear Interpolation,
% and the Newton-Raphson methods.

clear
clc
clf

disp('Calculating the friction factor from the Colebrook equation')

% Input
Re = input('\n Reynolds No.       = ');
e_over_D = input(' Relative roughness = ');

method = 1;
while method
   fprintf('\n')
   disp('  1 ) Successive substitution')
   disp('  2 ) Linear Interpolation')
   disp('  3 ) Newton Raphson')
   disp('  0 ) Exit')
   method = input('\n Choose the method of solution : ');
   if method
      fname = input('\n Function containing the Colebrook equation : ');
   end
   switch method
   case 1	% Successive substitution
      x0 = input(' Starting value = ');
      f = XGX(fname,x0,[],2,Re,e_over_D);
      fprintf('\n f = %6.4f\n',f)
   case 2	% Linear interpolation
      x1 = input(' First  starting value = ');
      x2 = input(' Second starting value = ');
      f = LI(fname,x1,x2,[],2,Re,e_over_D);
      fprintf('\n f = %6.4f\n',f)
   case 3	% Newton-Raphson
      x0 = input(' Starting value = ');
      f = NR(fname,x0,[],2,Re,e_over_D);
      fprintf('\n f = %6.4f\n',f)
   end
end
