% Example1_4.m
% Solution to the problem posed in example 1.4. It calculates the 
% equilibrium concentration of the components of a system of two 
% reversible chemical reactions using the Newton's method.

clear
clc

% Input data
c0 = input(' Vector of initial concentration of A, B, C, and D = ');
K1 = input(' 2A + B = C      K1 = ');
K2 = input('  A + D = C      K2 = ');
fname = input(' Name of the file containing the set of equations = ');

repeat = 1;
while repeat
   % Input initial values and relaxation factor
   x0 = input('\n\n Vector of initial guesses = ');
   rho = input(' Relaxation factor = ');
   
   % Solution of the set of equations
   [x,iter] = Newton(fname,x0,rho,[],c0,K1,K2);
   
   % Display the results
   fprintf('\n Results :\n x1 = %6.4f  ,  x2 = %6.4f',x)
   fprintf('\n Solution reached after %3d iterations.\n\n',iter)
   repeat = input(' Repeat the calculations (0 / 1) ? ');
end
