% Example2_3.m
% Solution to Example 2-3. This program solves a set of
% linear algebraic equations by the Jacobi's iterative
% method, using the function JACOBI.M, to find the
% concentrations of a seres of CSTRs.

clc
clear

% Input data
fprintf(' Solution of set of linear algebraic equations by the Jacobi method\n\n')
n = input(' Number of equations = ');
for k = 1 : n
   fprintf('\n Coefficients of eq. %2d =',k)
   A(k,1:n) = input(' ');
   fprintf(' Constant of eq. %2d =',k)
   c(k) = input(' ');
end
disp(' ')
tol = input(' Convergence criterion = ');
trace = input(' Show step-by-step path to results (0/1) ? ');

redo = 1;
while redo
   disp(' ')
   guess = input(' Vector of initial guess = ');
   
   % Solution
   ca = Jacobi(A, c, guess, tol, trace);
   fprintf('\n\n Results :\n')
   
   for k = 1 : n
      fprintf(' CA(%2d) = %6.4g\n',k,ca(k))
   end
   
   disp(' ')
   redo = input(' Repeat the calculations with another guess (0/1) ? ');
   disp(' ')
end
