%Chapter 2: Numerical Solution of Simultaneous Linear Algebraic Equations
%
%Examples
%
%  Example2_1.m   Solves a set of simultaneous linear algebraic equations that model 
%                 the heat transfer in a steel pipe using the Gauss Elimination method
%                 (Gauss.m).
%  Example2_2.m   Solves a set of simultaneous linear algebraic equations that model 
%                 the steam distribution system of a chemical plant using the 
%                 Gauss-Jordan Reduction method (Jordan.m).
%  Example2_3.m   Solves a set of simultaneous linear algebraic equations that represent
%                 the material balances for a set of continuous stirred tank reactors 
%                 using the Jacobi Iterative method (Jacobi.m).
%
%Methods
%
%  Gauss.m        Gauss Elimination method for solution of simultaneous linear 
%                 algebraic equations.
%  Jordan.m       Gauss-Jordan Reduction method for solution of simultaneous linear  
%                 algebraic equations.
%  Jacobi.m       Jacobi Iterative method for solution of predominantly diagonal sets 
%                 of simultaneous linear algebraic equations.
%
