%Chapter 4: Numerical Differentiation and Integration
%
%Examples
%
%  Example4_1.m    Calculates the unsteady flux of water vapor from the open top of 
%                  a vessel using numerical differentiation of a function (fder.m).
%  Example4_2.m    Calculates the solids volume fraction profile in the riser of a 
%                  gas-solid fluidized bed using differentiation of tabulated data (deriv.m).
%  Example4_3.m    Integrates a vector of experimental data using the trapezoidal 
%                  rule (trapz.m) and the Simpson's 1/3 rule (Simpson.m).
%  Example4_4.m    Integrates a function using the Gauss-Legendre quadrature (GaussLegendre.m).
%
%Methods
%
%  fder.m           Differentiation of a function.
%  deriv.m          Differentiation of tabulated data.
%  Simpson.m        Integration of tabulated data by the Simpson's 1/3 rule.
%  GaussLegendre.m  Integration of a function by the Gauss-Legendre quadrature.
%
%Functions
%
%  Ex4_1_phi.m      Contains the nonlinear equation for calculation of j (used in Example4_1.m).
%  Ex4_1_profile.m  Contains the function of concentration profile (used in Example4_1.m).
%  Ex4_4_func.m     Contains the function to be integrated (used in Example4_4.m).
%
