function fnc = Ex5_3_func(V,y,T0,CA0,FA0,U,a,Ta)
% Function Ex5_3_func.M
% This function contains the pair of ordinary differential
% equations introduced in Example 5.3. The name of this function
% is an input to the main program Example5_3.m and will be 
% called by the selected ODE solver.

X = y(1);												% Conversion
T = y(2);												% Temperature

k = 3.58*exp(34222*(1/1035-1/T));				% Rate constant
dHR = 80770+6.8*(T-298)-5.75e-3*(T^2-298^2)-1.27e-6*(T^3-298^3);
															% Heat of reaction
CpA = 26.63 + .183*T - 45.86e-6*T^2;			% Heat capacity of A
CpB = 20.04 + .0945*T - 30.95e-6*T^2;			% Heat capacity of B
CpC = 13.39 + .077*T - 18.71e-6*T^2;			% Heat capacity of C
dCp = CpB + CpC - CpA;
rA = -k * CA0 * (1-X)/(1+X) * T0/T;				% Reaction rate
% Mole balance and energy balance
fnc = [-rA/FA0; (U*a*(Ta-T)+rA*dHR)/(FA0*(CpA+X*dCp))];	
